Subject: bug#10539: 24.0.92; low display-time-interval makes Emacs slow

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jan 2012 23:29:29 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 28 Jan 2012 15:51:54 -0500
> 
> Next question that occurs: the display-time stuff is a global
> indicator that, when it needs updating, should be updated in all visible
> mode-lines. So how does (force-mode-line-update) with no ALL argument do
> anything useful in this case?

I think force-mode-line-update nowadays always forces update of all
visible mode lines, not just the one of the current buffer.

Calling force-mode-line-update with ALL non-nil forces a more thorough
redisplay (because it sets a flag which causes redisplay not to trust
the contents of the displayed windows, not just their mode lines).

IOW, (force-mode-line-update t) is a way to force the next redisplay
cycle do a more thorough job, it has nothing to do with mode lines per
se.